MKFIFO(1)

NAME
mkfifo - make fifos

SYNOPSIS
mkfifo [-m mode] fifo_name ...

DESCRIPTION
The mkfifo utility creates the fifos requested, in the order specified.

The options are as follows:

-m  Set the file permission bits of the created fifos to the specified mode, ignoring the umask(2) of the calling process. The mode argument takes any format that can be specified to the chmod(1) command. If a symbolic mode is specified, the op symbols ‘+’ (plus) and ‘-’ (hyphen) are interpreted relative to an assumed initial mode of “a=rw” (read and write permissions for all).

If the -m option is not specified, fifos are created with mode 0666 modified by the umask(2) of the calling process. The mkfifo utility requires write permission in the parent directory.

EXIT STATUS

SEE ALSO
mkdir(1), rm(1), mkfifo(2), mknod(2), mknod(8)

STANDARDS
The mkfifo utility is expected to be p1003.2 compliant.

HISTORY
The mkfifo command appeared in 4.4BSD.